# Class ExternalHyperlink

#### Hierarchy (view full)

- XmlComponent
  - ExternalHyperlink

- Defined in file/paragraph/links/hyperlink.ts:41

#####
Index

### Constructors

constructor

### Properties

options

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new ExternalHyperlink(options): ExternalHyperlink

- #### Parameters

  - options: {
    children: readonly ParagraphChild[];
    link: string;
    }

    - ##### `Readonly` children: readonly ParagraphChild[]

    - ##### `Readonly` link: string

  #### Returns ExternalHyperlink

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/links/hyperlink.ts:42

##
Properties

### `Readonly` options

options: {
children: readonly ParagraphChild[];
link: string;
}

- Defined in file/paragraph/links/hyperlink.ts:43

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20